%define name   		Not2Complex
%define version		2.0
%define release		%mkrel 1
%define summary		Simple GUI for common commands

Name:			%{name} 
Summary:	       	%{summary}
Version:	    	%{version} 
Release:	    	%{release} 
URL:			http://plekzondernaam.wordpress.com/not2complex/
License:        	Unknown
Group:          	Terminals
Source0:        	%{name}.tar.bz2
BuildRoot:      	%{_tmppath}/%{name}-%{version}-%{release}-buildroot 
Requires: 		pango

%description
Not2Complex is a program to execute commands that
you would normally execute in a terminal. You can
easily search and copy command output. 

%prep
%setup -q -n %{name}

%build

%install
rm -rf %{buildroot}

%{__install} -D -m0755 Not2Complex %{buildroot}%{_bindir}/%{name}
%{__install} -D -m0644 lsi.lst %{buildroot}/etc/n2c/lsi.lst
%{__install} -D -m0644 n2clogoom1.png %{buildroot}%{_iconsdir}/n2clogoom1.png

### MENU ITEM ###
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=n2clogoom1
Terminal=false
Type=Application
StartupNotify=true
Categories=Utility;TerminalEmulator;
EOF

%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc
%config(noreplace) %{_sysconfdir}/n2c/lsi.lst
%{_bindir}/Not2Complex
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/n2clogoom1.png

%changelog
* Sun Jun 01 2008 Maxim Heijndijk <macchus at gmail dot com> 2.0-1mdv2008.1
- Build for MDV 2008.1

* Mon Mar 31 2008 Dal Magro Maurizio <dalmagro@scarlet.be> 2.0
- A more pro install layout.

* Sun Mar 30 2008 Dal Magro Maurizio <dalmagro@scarlet.be> 1.0
- RPM for RvP.
